<script setup lang="ts">
const props = defineProps<{ gene: string }>();
</script>

<template>
  <span class="d-inline-flex align-center text-no-wrap">
    <nuxt-link
      class="text-primary text-decoration-none"
      :to="`/details/${props.gene}`"
      >{{ props.gene }}</nuxt-link
    >
    <GeneFavoriteIcon :gene="props.gene" />
  </span>
</template>
